@if (gridDisplay$ | async; as gridDisplay) {
  <div
    #gridElement
    class="sqtm-grid sqtm-core-prevent-selection"
    [attr.data-test-grid-id]="gridDisplay.id"
  >
    <!-- root wrapper contain the grid itself plus fix header/footer like pagination.-->
    <!--flex is column so footer will be nicely placed on foot -->
    <div class="flex-column sqtm-grid-std-layout full-width">
      <!-- root panel contains the grid core and lateral panels. flex is row -->
      @if (uiState$ | async; as uiState) {
        <div class="sqtm-grid-root">
          @if (gridDisplay.enableRightToolBar) {
            <sqtm-core-side-bar-navigator></sqtm-core-side-bar-navigator>
          }
          <!-- lateral panel for column manager-->
          @if (gridDisplay.enableRightToolBar && uiState.showColumnManager) {
            <sqtm-core-column-manager
              class="sqtm-grid-side-panel sqtm-grid-std-layout"
            ></sqtm-core-column-manager>
          }
          <!-- wrapper of the row main viewport -->
          <div class="sqtm-grid-core sqtm-grid-std-layout full-width">
            <sqtm-core-grid-viewport></sqtm-core-grid-viewport>
            <div class="full-width flex-fixed-size position-relative">
              @if (grid.paginationDisplay$ | async; as paginationDisplay) {
                @if (paginationDisplay.showPaginationFooter) {
                  <sqtm-core-grid-footer
                    [disabled]="globalAsyncOperationRunning$ | async"
                  ></sqtm-core-grid-footer>
                }
              }
            </div>
          </div>
        </div>
      }
    </div>
  </div>
}
